<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("../include/common.php");
if(!iMDB_EDIT) {
	fallback("../show_artist.php");
}


?>
<script type='text/javascript'>
function verify_album(frm) {
	var year = /^\d\d\d\d$/;
	var day_month = /^\d\d$/;
	if(frm.title.value=="" || frm.artist_id.value==0
		|| frm.cat_id.value==0 || frm.format.value==0) {
		alert("<?php echo $locale['err_complete']; ?>");
		return false;
	}
	if(!year.test(frm.year.value) || !day_month.test(frm.day.value)
		|| !day_month.test(frm.month.value)) {
		alert("<?php echo $locale['err_year']; ?>");
		return false;
	}
	return true;
}
</script>
<?php


// FIXE TODO - move everything to post.
if(isset($_POST['album_id']) && isNum($_POST['album_id'])) {
	$album_id = $_POST['album_id'];
} elseif(isset($_GET['album_id']) && isNum($_GET['album_id'])) {
	$album_id = $_GET['album_id'];
} else {
	unset($album_id);
}
// FIXE TODO - move everything to post.
if(isset($_GET['artist_id']) && isNum($_GET['artist_id'])) {
	$artist_id = $_GET['artist_id'];
} elseif(isset($_POST['artist_id']) && isNum($_POST['artist_id'])) {
	$artist_id = $_POST['artist_id'];
} else {
	unset($artist_id);
}
// FIXME
if(isset($_GET['mode'])
	&& in_array($_GET['mode'], array("album", "pics", "songs"))) {
	$mode = $_GET['mode'];
} else {
	unset($mode);
}



function show_albums_list($artist_id, $album_id) {
	global $locale;

	if(is_null($artist_id)) {
		return;
	}

	$query_id = dbquery("SELECT album_id, album_title"
		." FROM ".DB_PREFIX."aw_music_albums"
		." WHERE album_artist='$artist_id'");
	if(!$query_id) {
		return;
	}
	$href_a = "albums.php?mode=album&artist_id=$artist_id&album_id";
	$href_s = "albums.php?mode=songs&artist_id=$artist_id&album_id";
	$href_d = "albums.php?mode=album&artist_id=$artist_id&del_alb=1&album_id";
	$href_p = "albums.php?mode=pics&artist_id=$artist_id&album_id";
	echo "<table class='tbl-border' cellspacing='1'"
		." align='center'>\n<tr>"
		."<td class='tbl2' width='1'></td>"
		."<td class='tbl2'><b>".$locale['title']."</b></td>"
		."<td class='tbl1' width='1'><b>".$locale['edit']."</b></td>"
		."</tr>";
	while($row = dbarray($query_id)) {
		$id = $row['album_id'];
		$title = $row['album_title'];
		if(!is_null($album_id) && $id==$album_id) {
			$title = "<b>$title</b>";
		}
		echo "<tr>"
			."<td class='tbl2'><a href='../show_album.php?album_id=$id'><img src='../icons/view.gif' alt='' border=''></a></td>"
			."<td class='tbl2'>$title</td>"
			."<td class='tbl1' style='white-space:nowrap;'>"
			."<a href='$href_a=$id'>".$locale['album']."</a>"
			." - <a href='$href_s=$id'>" .$locale['songs']."</a>"
			." - <a href='$href_p=$id'>" .$locale['pics']."</a>"
			." - <a onClick='return confirm_delete();'"
			." href='$href_d=$id'>".$locale['del']."</a></td>\n";
	}
	echo "</table>";
}




/*
 * GUI
 */
if(isset($_GET['op_ok'])) {
	aw_msg($_GET['op_ok']=="1");
}

opentable($locale['aw_title']);
show_admin_menu();

echo "<div align='center'>";
$artist_id = show_artists_form(isset($artist_id) ? $artist_id : NULL);
if(!is_null($artist_id)) {
	echo "<a href='".FUSION_SELF."?mode=album&artist_id=$artist_id'>"
		.$locale['new']."</a>";
}
echo "</div>";

if(isset($artist_id)) {
	show_albums_list($artist_id, isset($album_id) ? $album_id : NULL);
}

/*
$a_id = select_album(isset($artist_id) ? $artist_id : NULL,
	isset($album_id) ? $album_id : NULL);
if(!isset($artist_id) && is_null($a_id)) {
	echo "<p>".$locale['empty_album'];
} else {
//FIXME	redirect(FUSION_SELF."?artist_id=$a_id");
}
*/

closetable();

if(isset($mode)) {
	tablebreak();
	require_once("include/".$mode.".php");
}

require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
