<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("../include/common.php");
if(!iMDB_EDIT) {
	fallback("../show_artist.php");
}


?>
<script type='text/javascript'>
function verify_cat(frm) {
	if(frm.name.value=="") {
		alert("<?php echo $locale['err_complete']; ?>");
		return false;
	}
	return true;
}
</script>
<?php


$cat_name = "";


/*
 * ACTION
 */
if(isset($_POST['save'])) {
	$name = stripinput($_POST['name']);

	if(isset($_POST['cat_id'])) {
		$query = "UPDATE ".DB_PREFIX."aw_music_cats"
			." SET cat_name='$name',"
			." user_id='".$userdata['user_id']."',"
			." cat_datestamp='".time()."'"
			." WHERE cat_id='".$_POST['cat_id']."'";
	} else {
		$query = "INSERT INTO ".DB_PREFIX."aw_music_cats"
			." (cat_name, user_id, cat_datestamp)"
			." VALUES "
			."('$name', '".$userdata['user_id']."', '".time()."')";
	}
	aw_msg(dbquery($query));

} elseif(isset($_GET['del_id']) && isNum($_GET['del_id'])) {
	$err_msg = "";
	$ok = false;

	$count = dbcount("(*)", "aw_music_albums",
		"(album_cat='".$_GET['del_id']."')");
	if($count == 0) {
		$ok = dbquery("DELETE FROM ".DB_PREFIX."aw_music_cats"
			." WHERE cat_id='".$_GET['del_id']."'");
	} else {
		$err_msg = $locale['no_del'].": $count ".$locale['albums'];
	}

	aw_msg($ok, $err_msg);

} elseif(isset($_GET['edit_id']) && isNum($_GET['edit_id'])) {
	$query_id = dbquery("SELECT * FROM ".DB_PREFIX."aw_music_cats"
		." WHERE cat_id='".$_GET['edit_id']."'");
	if(dbrows($query_id)!=0 && $row=dbarray($query_id)) {
		$cat_name = $row['cat_name'];
	}
}



/*
 * GUI
 */
opentable($locale['aw_title']);

show_admin_menu();
echo "\n<form method='POST' action='".FUSION_SELF."'"
	." onSubmit='return verify_cat(this);'>
<div align='center'>"
.$locale['name'].":
<input type='text' class='textbox' name='name' maxlength='64' size='32'"
	." value='$cat_name'>
<input type='submit' class='button' name='save' value='".$locale['save']."'>\n";
if(isset($_GET['edit_id'])) {
	echo "<input type='hidden' name='cat_id' value='".$_GET['edit_id']."'>\n";
}
echo "</div></form>\n";
closetable();
tablebreak();



// all cats
opentable($locale['cats']." - "
	.(isset($_GET['edit_id']) ? $locale['edit'] : $locale['new']));

$count = 1;
$query_id = dbquery("SELECT mc.*,fu.user_name"
	." FROM ".DB_PREFIX."aw_music_cats AS mc"
	." LEFT JOIN ".DB_PREFIX."users AS fu USING(user_id)");
echo "<table class='tbl-border' cellspacing='1' align='center'>\n"
	."<tr><td class='tbl2'><b>".$locale['cat']."</b></td>"
	."<td class='tbl2'><b>".$locale['user']."</b></td>"
	."<td class='tbl2'><b>".$locale['ops']."</b></td></tr>\n";
while($row = dbarray($query_id)) {
	$tbl = "tbl".((++$count%2)+1);

	$id = $row['cat_id'];
	echo "<tr>
<td class='$tbl'>".$row['cat_name']."</td>
<td class='$tbl'>".$row['user_name']."</td>
<td class='$tbl'>
	<a href='".FUSION_SELF."?edit_id=$id'>".$locale['edit']."</a>"
	." | <a href='".FUSION_SELF."?del_id=$id' onClick='return confirm_delete();'>".$locale['del']."</a>
</td>
</tr>\n";
}
if(!dbrows($query_id)) {
	echo "<tr><td class='tbl1' colspan='3'><span class='small2'>"
		.$locale['empty']."</span></td></tr>\n";
}
echo "</table>\n";

closetable();



require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
