<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
if(!defined("IN_FUSION") || !iSUPERADMIN) {
	echo "Err.1";
	return;
}

$new_ver = "0.3";
if(isset($mdb_settings['version'])) {
	$old_ver = $mdb_settings['version'];
} else {
	$old_ver = "0.2";
}

$mysql = array();
if($old_ver == "0.2") {
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_music_albums"
		." ADD user_id smallint(5) unsigned NOT NULL default '0',"
		." ADD album_datestamp int(10) unsigned NOT NULL default '0',"
		." ADD album_front int(10) unsigned NOT NULL default '0',"
		." ADD album_back int(10) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_music_artists"
		." ADD user_id smallint(5) unsigned NOT NULL default '0',"
		." ADD artist_datestamp int(10) unsigned NOT NULL default '0',"
		." ADD artist_www varchar(200) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_music_labels"
		." ADD user_id smallint(5) unsigned NOT NULL default '0',"
		." ADD label_datestamp int(10) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_music_sales"
		." ADD user_id smallint(5) unsigned NOT NULL default '0',"
		." ADD sale_datestamp int(10) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_music_songs"
		." ADD user_id smallint(5) unsigned NOT NULL default '0',"
		." ADD song_datestamp int(10) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_music_cats"
		." ADD user_id smallint(5) unsigned NOT NULL default '0',"
		." ADD cat_datestamp int(10) unsigned NOT NULL default '0'";
	$mysql[] = "CREATE TABLE ".DB_PREFIX."aw_mdb_pics ("
		." pic_id int(10) unsigned NOT NULL auto_increment,"
		." album_id int(10) unsigned NOT NULL,"
		." pic_title varchar(64) NOT NULL default '',"
		." user_id smallint(5) unsigned NOT NULL default '0',"
		." pic_datestamp int(10) unsigned NOT NULL default '0',"
		." PRIMARY KEY (pic_id)"
		." ) TYPE=MyISAM;";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_music_settings"
		." ADD COLUMN version varchar(10) NOT NULL default ''";
}
if(count($mysql)) {
	$mysql[] = "UPDATE ".DB_PREFIX."aw_music_settings"
		." SET version='$new_ver'";
} else {
	return;
}



/*
 * GUI
 */
opentable("DB Update");
echo "<pre>
<b>Available Version: </b>$new_ver
<b>Installed Version: </b>$old_ver
</pre>\n";
if(count($mysql)) {
	echo "<ol>";
	foreach($mysql as $query) {
		echo "<li><code>$query</code></li>";
	}
	echo "</ol><a href='".FUSION_SELF."?action=update' class='button'>Update</a>\n";
} else {
	echo "<p>No update available.";
}


if(isset($_GET['action']) && $_GET['action']=="update") {
	echo "<hr><font color='blue'>Updating...</font><br>";
	$count = count($mysql);
	$i = 0;
	$errors = 0;
	foreach($mysql as $query) {
		echo "[".++$i."/".$count."] ";
		$ok = dbquery($query);
		if($ok) {
			echo "<font color='green'>Ok:</font>";
		} else {
			$errors++;
			echo "<font color='red'>Error:</font>";
		}
		echo "<div class='small2' style='padding-left:10px;'>"
			.$query."</div>";
	}
	if($errors) {
		echo "<b>Errors: </b>$errors";
	} else {
		echo "<font color='blue'>Done.</font>";
	}
}

closetable();
tablebreak();

?>
