<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
if(!iMDB_EDIT) {
	fallback("../show_artist.php");
}
if(!isset($album_id)) {
	return;
}


?>
<script type='text/javascript'>
function verify(frm) {
	if(frm.title.value=="" || frm.pic.value=="") {
		alert("<?php echo $locale['err_complete']; ?>");
		return false;
	}
	return true;
}
</script>
<?php


/*
 * create thumbnail
 */
function aw_create_small($id) {
	$src = MDB_COVERS.$id.".jpg";
	if(!file_exists($src)) {
		return false;
	}

	$dest = MDB_COVERS."s_".$id.".jpg";
	if(file_exists($dest)) {
		return false;
	}

	mdb_createthumbnail($src, $dest, MDB_SMALL_WIDTH, MDB_SMALL_HEIGHT);
	return true;
}


/*
 * ACTION
 */
if(isset($_POST['add']) && isset($_FILES['pic']) && isset($album_id)) {
	$title = stripinput($_POST['title']);
	dbquery("INSERT INTO ".DB_PREFIX."aw_mdb_pics"
		." (album_id, pic_title, user_id, pic_datestamp) VALUES"
		." ('$album_id', '$title',"
		." '".$userdata['user_id']."', '".time()."')");
	$new_id = mysql_insert_id();
	$ok = aw_upload_file($_FILES['pic'], $new_id);
	if(!$ok) {
		dbquery("DELETE FROM ".DB_PREFIX."aw_mdb_pics"
			." WHERE pic_id='$new_id'");
	}
	aw_msg($ok);

} elseif(isset($_GET['del_pic']) && isNum($_GET['del_pic']) && isset($album_id)) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."aw_mdb_pics"
		." WHERE pic_id='".$_GET['del_pic']."'");
	if($ok) {
		$ok = unlink(MDB_COVERS.$_GET['del_pic'].".jpg");
		$ok = @unlink(MDB_COVERS."s_".$_GET['del_pic'].".jpg");
	}
	aw_msg($ok);

} elseif(isset($_GET['del_old'])) {
	$ok = @unlink(MDB_COVERS.$_GET['del_old']."_$album_id.jpg");
	aw_msg($ok);

} elseif((isset($_GET['front']) || isset($_GET['back'])) && isset($album_id)) {
	if(isset($_GET['front'])) {
		$type = "front";
		$other_type = "back";
		$new_id = $_GET['front'];
	} else {
		$type = "back";
		$other_type = "front";
		$new_id = $_GET['back'];
	}

	$query_id = dbquery("SELECT album_$type AS me, album_$other_type AS he"
		." FROM ".DB_PREFIX."aw_music_albums"
		." WHERE album_id='$album_id'");
	$data = dbarray($query_id);
	$last_id = $data['me'];

	if($new_id!=0) {
		if(!aw_create_small($new_id)) {
			echo "<p>FIXME: aw_create_small() failed.";
		}
	}
	if($last_id!=0 && $last_id!=$data['he']) {
		unlink(MDB_COVERS."s_".$last_id.".jpg");
	}

	dbquery("UPDATE ".DB_PREFIX."aw_music_albums"
		." SET album_$type='$new_id'"
		." WHERE album_id='$album_id'");

	redirect(FUSION_SELF."?mode=pics&album_id=$album_id");
}


/*
 *
 */
$bad_files = false;
foreach($g_covers as $key => $val) {
	if(file_exists(MDB_COVERS.$key."_$album_id.jpg")) {
		$bad_files = true;
		break;
	}
};
if($bad_files) {
	opentable($locale['note']);
	echo $locale['oldstuff'];
	foreach($g_covers as $key => $val) {
		$file = MDB_COVERS.$key."_$album_id.jpg";
		if(file_exists($file)) {
			echo "<li><a alt='' href='$file'>"
				.$key."_$album_id.jpg</a>"
				." [<a href='".FUSION_SELF."?mode=pics&album_id=$album_id&del_old=$key' onClick='return confirm_delete();'>".$locale['del']."</a>]</li>";
		}
	};
	/* delete covers - FIXME
	foreach($g_covers as $key => $val) {
		$file = MDB_COVERS.$key."_$album_id.jpg";
		if(file_exists($file)
			&& !unlink(MDB_COVERS.$key."_$album_id.jpg")) {
			$ok = false;
			break;
		}
	};
	*/
	closetable();
	tablebreak();
}



/*
 * GUI
 */
opentable($locale['pics']);
//
$album = dbarray(dbquery("SELECT album_front, album_back"
	." FROM ".DB_PREFIX."aw_music_albums"
	." WHERE album_id='$album_id'"));


// edit/add form
$title = "";
echo "<form method='post' action='".FUSION_SELF."?mode=pics' enctype='multipart/form-data' onSubmit='return verify(this);'>
<input type='hidden' name='album_id' value='$album_id'>
".$locale['title'].":
<input type='textbox' name='title' value='$title' class='textbox'>
<input type='file' name='pic' value='' class='textbox'>
<input type='submit' name='add' class='button' value='".$locale['add']."'>
</form>\n";


// pics
$query_id = dbquery("SELECT * FROM ".DB_PREFIX."aw_mdb_pics"
	." WHERE album_id='$album_id' ORDER BY pic_datestamp ASC");
echo "<table class='tbl-border' cellspacing='1' width='100%'>
<tr>
	<td class='tbl2' width='1%'><a href='".FUSION_SELF."?mode=pics&album_id=$album_id&front=0'><img src='../icons/no.gif' alt='Front' title='".$locale['front']."' border='0'></a></td>
	<td class='tbl2' width='1%'>"
		."<a href='".FUSION_SELF."?mode=pics&album_id=$album_id&back=0'><img src='../icons/no.gif' alt='Back' title='".$locale['back']."' border='0'></a></td>
	<td class='tbl2'><b>".$locale['title']."</b></td>
	<td class='tbl2' width='1%'></td>
</tr>\n";
$tbl = "tbl1";
while($pic = dbarray($query_id)) {
	$pic_id = $pic['pic_id'];
	$f = "<img src='../icons/no.gif' alt='' border='0'>";
	$b = "<img src='../icons/no.gif' alt='' border='0'>";
	if($album['album_front']==$pic['pic_id']) {
		$f = "<img src='../icons/ok.gif' alt='' border='0'>";
	}
	if($album['album_back']==$pic['pic_id']) {
		$b = "<img src='../icons/ok.gif' alt='' border='0'>";
	}
	echo "<tr>"
		."<td class='$tbl' align='center'><a href='".FUSION_SELF."?mode=pics&album_id=$album_id&front=$pic_id'>$f</a></td>"
		."<td class='$tbl' align='center'><a href='".FUSION_SELF."?mode=pics&album_id=$album_id&back=$pic_id'>$b</a></td>"
		."<td class='$tbl'>".$pic['pic_title']."</td>"
		."<td class='$tbl' style='white-space:nowrap;'>"
		."<a href='".MDB_COVERS.$pic_id.".jpg'>".$locale['show']."</a>"
		." | <a href='".FUSION_SELF."?mode=pics&album_id=$album_id&del_pic=$pic_id' onClick='return confirm_delete();'>".$locale['del']."</a></td>"
		."</tr>\n";
	$tbl = ($tbl=="tbl2" ? "tbl1" : "tbl2");
}
echo "</table>\n";

if(!dbrows($query_id)) {
	echo "<p>".$locale['no_pics'];
}
closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
